| XMP Toolkit SDK 6.0.0

Static Public Member Functions | Protected Member Functions | List of all members
AdobeXMPCore::IMetadataConverterUtils_v1 Class Reference

Version1 of the interface that represents an utility functions that can convert old xmp object(SXMPMeta) to new xmp object(IMetadata) and vice versa. More...

`#include <IMetadataConverterUtils.h>`

Inheritance diagram for AdobeXMPCore::IMetadataConverterUtils_v1:

## Static Public Member Functions
static spIMetadata | ConvertXMPMetatoIMetadata (const SXMPMeta *inOldXMP)
| Converts SXMPMeta object to IMetadata object. More...
static SXMPMeta | ConvertIMetadatatoXMPMeta (AdobeXMPCore::spIMetadata inNewXMP)
| Converts IMetadata object to SXMPMeta object. More...

## Protected Member Functions
virtual | ~IMetadataConverterUtils_v1 () __NOTHROW__
| REQ_FRIEND_CLASS_DECLARATION ()
Protected Member Functions inherited from AdobeXMPCommon::ISharedObject
virtual | ~ISharedObject () __NOTHROW__=0
| REQ_FRIEND_CLASS_DECLARATION ()
Protected Member Functions inherited from AdobeXMPCommon::IVersionable
virtual | ~IVersionable ()
| REQ_FRIEND_CLASS_DECLARATION ()

## Additional Inherited Members
Public Member Functions inherited from AdobeXMPCommon::ISharedObject
virtual void APICALL | Acquire () const __NOTHROW__=0
| Called by the clients of the object to indicate that he has acquired the shared ownership of the object. More...
virtual void APICALL | Release () const __NOTHROW__=0
| Called by the clients of the object to indicate he has released his shared ownership of the object. If this being the last client than this function should call Destroy to delete and release the memory. More...
Public Member Functions inherited from AdobeXMPCommon::IVersionable
template<typename requestedInterface >
XMP_PRIVATE requestedInterface * | GetInterfacePointer ()
| Get the raw pointer to an interface object implementing the requested version. More...
template<typename requestedInterface >
const XMP_PRIVATE requestedInterface * | GetInterfacePointer () const
| Get the raw pointer to a const interface object implementing the requested version. More...

## Detailed Description

Version1 of the interface that represents an utility functions that can convert old xmp object(SXMPMeta) to new xmp object(IMetadata) and vice versa.

Definition at line 31 of file IMetadataConverterUtils.h.

## Constructor & Destructor Documentation

## ◆ ~IMetadataConverterUtils_v1()

virtual AdobeXMPCore::IMetadataConverterUtils_v1::~IMetadataConverterUtils_v1 | ( |  | ) |
| inline protected virtual

Destructor

Definition at line 106 of file IMetadataConverterUtils.h.

106 {}

## Member Function Documentation

## ◆ ConvertIMetadatatoXMPMeta()

static SXMPMeta AdobeXMPCore::IMetadataConverterUtils_v1::ConvertIMetadatatoXMPMeta | ( | AdobeXMPCore::spIMetadata | inNewXMP | ) |
| static

Converts IMetadata object to SXMPMeta object.

Returns
  SXMPMeta object indicating converted meta object.

## ◆ ConvertXMPMetatoIMetadata()

static spIMetadata AdobeXMPCore::IMetadataConverterUtils_v1::ConvertXMPMetatoIMetadata | ( | const SXMPMeta * | inOldXMP | ) |
| static

Converts SXMPMeta object to IMetadata object.

Returns
  An shared pointer of type AdobeXMPCore::spIMetadata indicating converted meta object.

## ◆ REQ_FRIEND_CLASS_DECLARATION()

AdobeXMPCore::IMetadataConverterUtils_v1::REQ_FRIEND_CLASS_DECLARATION | ( |  | ) |
| protected

The documentation for this class was generated from the following file:

- public/include/XMPCore/Interfaces/IMetadataConverterUtils.h